Last Comment Bug 885448 - Release a new version of the SDK
: Release a new version of the SDK
Status: RESOLVED DUPLICATE of bug 892216
:
Product: Add-on SDK
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All All
: P1 normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 863768 884924 885416
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 11:45 PDT by Wes Kocher (:KWierso)
Modified: 2014-01-27 14:47 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Wes Kocher (:KWierso) 2013-06-20 11:45:13 PDT
We should release a newer version of the SDK at some point.

This new version should include new logic for generating an addon's minVersion and maxVersion fields (including whatever we do for bug 884924), since the actual SDK code ships within Firefox now.

We can also probably flip the default behavior of cfx xpi so that it strips out the SDK modules from the xpi by default, and you can optionally have cfx NOT strip them (bug 885416).
Comment 1 Wes Kocher (:KWierso) 2013-06-20 12:01:07 PDT
Bug 863768 is another versioning issue for the SDK that we should probably fix in the next SDK release.
Comment 2 Will Bamberg [:wbamberg] 2013-06-20 12:42:55 PDT
It sounds like this will still ship with some version of the SDK modules (otherwise, how could cfx xpi have an option to include them)? If not, I'd like us to consider bug 857800 (retire cfx docs) as a blocker for this too.
Comment 3 Dave Townsend [:mossop] 2014-01-27 14:47:36 PST

*** This bug has been marked as a duplicate of bug 892216 ***

Note You need to log in before you can comment on or make changes to this bug.